PHP Manual
Prev |  | Next

# cpdf_text

(PHP 3 >= 3.0.8, PHP 4, PHP 5 <= 5.0.4)

cpdf_text -- Output text with parameters

## Description

bool cpdf_text ( int pdf_document, string text [, float x_coor, float y_coor [, int mode [, float orientation [, int alignmode]]]] )

Outputs the string `text` at the given position.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`text`

  The text

`x_coor`

  The x-coordinate of the text position

`y_coor`

  The y-coordinate of the text position

`mode`

  The optional parameter `mode` determines the unit length. If it is 0 or omitted the default unit as specified for the page is used. Otherwise the coordinates are measured in postscript points disregarding the current unit.

`orientation`

  Rotation of the text in degrees

`alignmode`

  Determines how the text is aligned. See the ClibPDF documentation for possible values.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

cpdf_show_xy()

Prev | Home | Next
cpdf_stroke | Up | cpdf_translate